> For the complete documentation index, see [llms.txt](https://swallow-1.gitbook.io/swallow/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://swallow-1.gitbook.io/swallow/developer-api/endpoints/projects.md).

# /projects

**Retrieve all projects**

{% openapi src="/files/GZ3sFFmV6e4LBseKKPkK" path="/sw/projects" method="get" %}
[openapi\_5.json](https://1110149073-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fu89vYHjuY9Vj4vhZX5IZ%2Fuploads%2FHq1XfYRcYOI2opkc1T2i%2Fopenapi_5.json?alt=media\&token=0660dd0c-e092-481e-82ed-71adc8066362)
{% endopenapi %}

This will retrieve all projects within your account. It will show the latest published version along with other useful project details.

**Retrieve a specific project**&#x20;

{% openapi src="/files/GZ3sFFmV6e4LBseKKPkK" path="/sw/projects/{project\_reference}" method="get" %}
[openapi\_5.json](https://1110149073-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fu89vYHjuY9Vj4vhZX5IZ%2Fuploads%2FHq1XfYRcYOI2opkc1T2i%2Fopenapi_5.json?alt=media\&token=0660dd0c-e092-481e-82ed-71adc8066362)
{% endopenapi %}

This will show a specific project with the latest published version, all versions to date and their status.

Each project has a unique ***project\_reference*** and each version has a unique ***version\_reference.***

**Retrieve all project versions**

{% openapi src="/files/GZ3sFFmV6e4LBseKKPkK" path="/sw/projects/versions" method="get" %}
[openapi\_5.json](https://1110149073-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fu89vYHjuY9Vj4vhZX5IZ%2Fuploads%2FHq1XfYRcYOI2opkc1T2i%2Fopenapi_5.json?alt=media\&token=0660dd0c-e092-481e-82ed-71adc8066362)
{% endopenapi %}

Project versions can be returned in bulk or filtered via the summary change log (using **?summary**)

```
https://api.llow.io/sw/projects/versions?summary=search%20term
```

or via project\_reference

```
https://api.llow.io/sw/projects/versions?project_reference=56c575d2-b6b9-44ed-9c75-5d705b987ec1
```

**Help building your own quote flows**

{% hint style="info" %}
This is a **public** API endpoint. You can hit this endpoint for client-side code by just providing ***client\_id\_key*** in the header. View [authentication](/swallow/developer-api/authentication.md) to find out more. Public APIs have **/public/** within the endpoint url.
{% endhint %}

{% openapi src="/files/GZ3sFFmV6e4LBseKKPkK" path="/sw/public/projects/{project\_reference}" method="get" %}
[openapi\_5.json](https://1110149073-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fu89vYHjuY9Vj4vhZX5IZ%2Fuploads%2FHq1XfYRcYOI2opkc1T2i%2Fopenapi_5.json?alt=media\&token=0660dd0c-e092-481e-82ed-71adc8066362)
{% endopenapi %}

The public project endpoint will return all the input parameters needed for a Swallow pricing project and all the lists of data options (generated by factor table data). This allows you to build custom and validated custom quote flows.

The quote flows can be programmatic (aggregator integrations) or via custom build user interfaces (within an app or website).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://swallow-1.gitbook.io/swallow/developer-api/endpoints/projects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
